
%global major 0
%define libname %mklibname efivar %major
%define devname %mklibname -d efivar
Name:           efivar
Version:        31
Release:        %mkrel 1
Group:          System/Boot and Init
Summary:        Tools to manage UEFI variables
License:        LGPLv2.1
URL:            https://github.com/vathpela/efivar
Requires:       %{libname} = %{version}-%{release}
BuildRequires:  popt git
Source0:        https://github.com/vathpela/%{name}/archive/efivar-%{version}.tar.xz
Patch0001:	0001-allow-deprecated-declarations-for-now-to-let-readdir.patch

%description
efivar provides a simple command line interface to the UEFI variable facility.


%package -n %libname
Summary: Library to manage UEFI variables
Group: System/Libraries

%description -n %libname
Library to allow for the simple manipulation of UEFI variables.

%package -n %devname
Group: Development/Libraries
Summary: Development headers for libefivar
Requires: %{libname} = %{version}-%{release}

%description -n %devname
development headers required to use libefivar.

%prep
%setup -q
git init
git config user.email "%{name}-owner@fedoraproject.org"
git config user.name "Fedora Ninjas"
git add .
git commit -a -q -m "%{version} baseline."
git am %{patches} </dev/null
git config --unset user.email
git config --unset user.name


%build
make libdir=%{_libdir} bindir=%{_bindir} CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%files
%doc COPYING
%{_bindir}/efivar
%{_mandir}/man1/*

%files -n %devname
%{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files -n %libname
%{_libdir}/*.so.*


%changelog
* Thu Apr 26 2018 adrianomorselli <adrianomorselli> 31-1uplos2018
- update
